backend:
    name: github
    repo: simplysecure/simplysecure.github.io
    branch: main
    site_domain: stupefied-pare-d87135.netlify.com

site_url: https://simplysecure.org

media_folder: "assets/images"
public_folder: "/images"

publish_mode: editorial_workflow
show_preview_links: true

collections:
- name: "blog" # Used in routes, e.g., /admin/collections/blog
  label: "Blog Posts" # Used in the UI
  label_singular: "Blog Post"
  folder: "content/blog/" # The path to the folder where the documents are stored
  create: true # Allow users to create new documents in this collection
  slug: "{{slug}}" # Filename template, e.g., YYYY-MM-DD-title.md
  fields: # The fields for each document, usually in front matter
  - {label: "Layout", name: "layout", default: "post", widget: "hidden"}
  - {label: "Title", name: "title", widget: "string"}
  - {label: "Description", name: "description", widget: "string"}
  - {label: "Publish Date", name: "date", widget: "datetime", dateFormat: 'YYYY-MM-DD', timeFormat: 'HH:mm', format: 'YYYY-MM-DD HH:mm:ss'}
  - label: "Authors"
    name: "authors"
    widget: "relation"
    collection: "team"
    value_field: "{{slug}}"
    search_fields: ["{{slug}}", "title"]
    display_fields: ["title"]
    multiple: true
  - {label: "Category", name: "categories", widget: "hidden", default: "blog"}
  - {label: "Featured Image", name: "image", widget: "image", required: false}
  - label: "Tags - Use Tags collection to create new tags."
    name: "tags"
    widget: "relation"
    collection: "tags"
    value_field: "{{slug}}"
    search_fields: ["{{slug}}", "title"]
    display_fields: ["title"]
    multiple: true
  - {label: "Body", name: "body", widget: "markdown"}

- name: "tags" # Used in routes, e.g., /admin/collections/tags
  label: "Tags" # Used in the UI
  folder: "content/tags/" # The path to the folder where the documents are stored
  create: true # Allow users to create new documents in this collection
  slug: "{{slug}}" # Filename template, e.g., YYYY-MM-DD-title.md
  fields: # The fields for each document, usually in front matter
  - {label: "Layout", name: "layout", widget: "hidden", default: "tag"}
  - {label: "Title", name: "title", widget: "string"}
  - {label: "Description", name: "description", widget: "text"}
  - {label: "Published", name: "published", widget: "boolean", default: "true"}
  - {label: "Image", name: "image", widget: "image", required: false}
  - {label: "Body", name: "body", widget: "hidden", default: ""}
  view_groups:
      - label: Published
        field: published

- name: "audiences" # Used in routes, e.g., /admin/collections/audiences
  label: "Audiences" # Used in the UI
  folder: "content/knowledge-base/" # The path to the folder where the documents are stored
  create: true # Allow users to create new documents in this collection
  preview_path: "knowledge-base/{{slug}}"
  slug: "{{slug}}" # Filename template, e.g., YYYY-MM-DD-title.md
  fields: # The fields for each document, usually in front matter
  - {label: "Title", name: "title", widget: "string"}
  - {label: "Description", name: "description", widget: "string"}
  - {label: "Image", name: "image", widget: "image", required: false}
  - {label: "Resources", name: "resources", widget: "list"}
  - {label: "Featured Resources", name: "featured_resources", widget: "list"}

- name: "config"
  label: "Configuration"
  files:
  - label: "Groups for Who we are page"
    name: groups
    file: "data/people_groups.toml"
    fields:
    - label: Groups (Reorder to control display order)
      label_singular: group
      name: group
      widget: list
      summary: "{{fields.title}}"
      fields:
      - label: "Title"
        name: "title"
        widget: string
      - label: "Id, use with Parent setting"
        name: "id"
        widget: string
      - label: "Parent tab, blank for a separate tab"
        name: "parent_group"
        widget: string
        required: false
      - label: "Display members as"
        name: member_layout
        widget: select
        default: person-card.html
        required: false
        options:
        - label: Default
          value: person-card.html
        - label: Alumni
          value: person-card-alumni.html
        - label: Underexposed Fellow
          value: person-card-underexposed.html
      - label: "Members (Use People collection to add people)"
        label_singular: Member
        name: "members"
        widget: "list"
        summary: "{{fields.member}}"
        field:
          label: "Member"
          name: "member"
          widget: "relation"
          collection: "team"
          value_field: "{{slug}}"
          search_fields: ["{{slug}}", "title"]
          display_fields: ["title", "- {{slug}}"]

- name: "team"
  label: "Team Members"
  folder: "content/who-we-are/"
  preview_path: "who-we-are/{{slug}}"
  create: true
  slug: "{{slug}}"
  fields:
      - {label: "Name", name: "title", widget: "string" }
      - {label: "Job Title", name: "description", widget: "string", required: false}
      - {label: "Photo", name: "photo", widget: "image", required: false}
      - {label: "Personal URL, instead of Bio page", name: "personal_url", widget: "string", required: false}
      - {label: "Alumni Job Title", name: "alumni_description", widget: "string", required: false}
      - label: PGP
        name: pgp
        widget: object
        summary: "{{fields.email}} {{fields.fingerprint}}"
        collapsed: true
        fields:
        - label: PGP Email
          name: email
          widget: string
          required: false
        - label: PGP Fingerprint
          name: fingerprint
          widget: string
          required: false
        - label: PGP Key
          name: key
          widget: text
          required: false
      - label: Underexposed Project
        name: underexposed
        widget: object
        summary: "{{fields.name}}"
        collapsed: true
        fields:
        - label: Underexposed Project Name
          name: name
          widget: string
          required: false
        - label: Underexposed Project Video URL
          name: video_url
          widget: string
          required: false
        - label: Underexposed Project Description
          name: description
          widget: markdown
          required: false
      - {label: "Bio", name: "body", widget: "markdown", required: false}

- name: "external_resources" # Used in routes, e.g., /admin/collections/external_resources
  label: "External Resources" # Used in the UI
  folder: "content/external_resources/" # The path to the folder where the documents are stored
  preview_path: "external_resources/{{slug}}"
  create: true # Allow users to create new documents in this collection
  slug: "{{slug}}" # Filename template, e.g., YYYY-MM-DD-title.md
  fields: # The fields for each document, usually in front matter
  - {label: "Title", name: "title", widget: "string"}
  - {label: "Category", name: "category", widget: "string"}
  - {label: "Group", name: "group", widget: "string"}
  - {label: "External URL", name: "external_url", widget: "link"}

- name: "jobs"
  label: "Job postings"
  folder: "content/hiring"
  create: true
  slug: "{{slug}}"
  preview_path: "hiring/{{slug}}"
  fields:
  - label: Title
    name: title
    widget: string
  - label: Description
    name: description
    widget: text
  - label: Status
    name: status
    widget: select
    options:
      - open
      - closed
  - label: Deadline
    name: deadline
    widget: datetime
    format: YYYY-MM-DD
    required: false
  - label: Body
    name: body
    widget: markdown
